cURL
curl --request PUT \
--url https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "<string>",
"contact": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>"
},
"recruiter": {
"id": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/source"
payload = {
"source": "<string>",
"contact": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>"
},
"recruiter": {
"id": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
contact: {id: '<string>', name: '<string>'},
user: {id: '<string>', name: '<string>'},
recruiter: {id: '<string>', name: '<string>'}
})
};
fetch('https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"source": "<string>",
"contact": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>"
},
"recruiter": {
"id": "<string>",
"name": "<string>"
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Applications
Update source
Update the source of an application
PUT
/
v1.0
/
{company_id}
/
candidates
/
{candidate_id}
/
applications
/
{application_id}
/
source
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The origin of the application. eg Applied, Added, Submitted by an agency
Available options:
added, applied, interested, referred, candidate_pool, hire_hive_import, agency_submission The source name. eg Google, LinkedIn
If details of the referral contact if the application was referred.
Show child attributes
Show child attributes
If details of the user if the application was added manually.
Show child attributes
Show child attributes
If details of the external recruiter if the application was submitted via the agency portal.
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I